Summary
Gets an single automation by its id
Description
Gets an single automation by its id
Route
GET /automation_catalog/automations/:id
Roles
admin
other
readonly
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Unique id of the automation |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
Automation document that was requested |
Copied to Clipboard
{
"_id": "be5efce9be20bc79535e5722",
"name": "test",
"data": {
"gbac": {
"write": [
"4be7ca304808d232ed87694b",
"4150ffab77b053b0992f6c20",
"1e818cc10bc992bd280b841c",
"34e53ee7df05fec766a284ed"
],
"read": [
"f8b112b5901fe8a41fff9133"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "occaecat mollit ad ex deserunt",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "bb0bc477dba307b6783a9295"
},
"lastModifiedBy": "proident exercitation voluptate ex",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "3 weeks",
"migratedToOM": true,
"correspondingOMAutomationId": "a2ef3010752c881549cdc68f"
}